﻿<UserControl x:Class="VECTO3GUI.Views.BusJobView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:impl="clr-namespace:VECTO3GUI.ViewModel.Impl"
             xmlns:interfaces="clr-namespace:VECTO3GUI.ViewModel.Interfaces"
             mc:Ignorable="d" 
             d:DesignHeight="200" d:DesignWidth="440"             
             d:DataContext="{d:DesignInstance Type=impl:AbstractBusJobViewModel, IsDesignTimeCreatable=False}">

    <d:JoblistView.DataContext>
        <x:Type Type="interfaces:IBusJobViewModel"/>
    </d:JoblistView.DataContext>

    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition/>
            <RowDefinition Height="40"/>
        </Grid.RowDefinitions>

        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="0"/>
            <ColumnDefinition/>
            <ColumnDefinition Width="10"/>
        </Grid.ColumnDefinitions>

        <Grid Grid.Row="0" Grid.Column="1" >
            <StackPanel Orientation="Vertical" HorizontalAlignment="Center" VerticalAlignment="Center">

                <StackPanel Orientation="Horizontal" HorizontalAlignment="Left">
                    <TextBlock Text="{Binding FirstLabelText}" Width="150" Margin="5,0,0,0"/>
                    <TextBox Width="200" Margin="0,0,5,0" IsReadOnly="True" IsReadOnlyCaretVisible="True" 
                             Text="{Binding FirstFilePath}">

                        <Validation.ErrorTemplate>
                            <ControlTemplate>
                                <DockPanel>
                                    <TextBlock Foreground="Red" DockPanel.Dock="Top" Text="{Binding ErrorContent}" />
                                    <AdornedElementPlaceholder/>
                                </DockPanel>
                            </ControlTemplate>
                        </Validation.ErrorTemplate>

                        <TextBox.Style>
                            <Style>
                                <Style.Triggers>
                                    <Trigger Property="Validation.HasError" Value="true">
                                        <Setter Property="Border.BorderBrush" Value="Red"/>
                                    </Trigger>
                                </Style.Triggers>
                            </Style>
                        </TextBox.Style>
                    </TextBox>
                    <Button Content="..." Width="30" Margin="5,0,0,0"
                            Command="{Binding SelectFirstFileCommand}"
                            CommandParameter="{Binding FirstFileType}"/>
                </StackPanel>

                <StackPanel Orientation="Horizontal" Margin="0,16,0,0">
                    <TextBlock Text="{Binding SecondLabelText}" Width="150" Margin="5,0,0,0"/>
                    <TextBox Width="200" Margin="0,0,5,0" IsReadOnly="True" IsReadOnlyCaretVisible="True"
                            Text="{Binding SecondFilePath}">
                            
                        <Validation.ErrorTemplate>
                            <ControlTemplate>
                                <DockPanel>
                                    <TextBlock Foreground="Red" DockPanel.Dock="Top" Text="{Binding ErrorContent}" />
                                    <AdornedElementPlaceholder/>
                                </DockPanel>
                            </ControlTemplate>
                        </Validation.ErrorTemplate>

                        <TextBox.Style>
                            <Style>
                                <Style.Triggers>
                                    <Trigger Property="Validation.HasError" Value="true">
                                        <Setter Property="Border.BorderBrush" Value="Red"/>
                                    </Trigger>
                                </Style.Triggers>
                            </Style>
                        </TextBox.Style>
                    </TextBox>
                    <Button Content="..." Width="30" Margin="5,0,0,0"
                            Command="{Binding SelectSecondFileCommand }"
                            CommandParameter="{Binding SecondFileType}"/>
                </StackPanel>
            </StackPanel>
        </Grid>

        <Grid Grid.Row="1" Grid.Column="1">

            <StackPanel Orientation="Horizontal" HorizontalAlignment="Right">
                <Button Content="Save" HorizontalAlignment="Right"  Margin="5,0,0,0" VerticalAlignment="Center" Width="70"
                        Command="{Binding SaveCommand}"
                        CommandParameter="{Binding RelativeSource={RelativeSource FindAncestor, AncestorType={x:Type Window}}}"/>
                <Button Content="Cancel" HorizontalAlignment="Right" Margin="5,0,10,0" Width="70"
                        Command="{Binding CancelCommand}"
                        CommandParameter="{Binding RelativeSource={RelativeSource FindAncestor, AncestorType={x:Type Window}}}"/>
            </StackPanel>
        </Grid>

    </Grid>
</UserControl>
